
Foreman - Bug #12694

CentOS 7 initrd and vmlinuz not fetched  

12/03/2015 02:50 PM - Michael Eklund

Status: Resolved   

Priority: Normal   

Assignee:    

Category: TFTP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

D, [2015-12-03T14:41:11.857821 #30702] DEBUG -- : Starting task: /usr/bin/wget --timeout=10 --trie

s=3 --no-check-certificate -nv -c "http://mirror.centos.org/centos/7.1/os/x86_64/images/pxeboot/vm

linuz" -O "/var/lib/tftpboot/boot/CentOS-7.1-x86_64-vmlinuz" 

D, [2015-12-03T14:41:11.978113 #30702] DEBUG -- : Starting task: /usr/bin/wget --timeout=10 --trie

s=3 --no-check-certificate -nv -c "http://mirror.centos.org/centos/7.1/os/x86_64/images/pxeboot/in

itrd.img" -O "/var/lib/tftpboot/boot/CentOS-7.1-x86_64-initrd.img" 

 7.1 directory does not exist on mirror.centos.org

https://www.evernote.com/l/APdpJgMk7B1BLbGZJXX9QmYCIcRxyWThMDA

History

#1 - 12/03/2015 02:51 PM - Michael Eklund

I would like the option of always fetching from http://mirror.centos.org/centos-7/7/ and not trying the subdirectories.

#2 - 12/04/2015 03:08 AM - Dominic Cleal

- Category set to TFTP

- Status changed from New to Feedback

- translation missing: en.field_release deleted (63)

You can customise the URLs under Hosts > Installation media, so you can change it to use $major instead of $version if you wish.

#3 - 05/17/2017 11:10 AM - Anonymous

- Status changed from Feedback to Resolved
